nifi-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mubashir Kazia (Jira)" <j...@apache.org>
Subject [jira] [Created] (NIFI-7269) Solrj in nifi-solr-nar needs upgrade
Date Thu, 19 Mar 2020 00:00:00 GMT
Mubashir Kazia created NIFI-7269:
------------------------------------

             Summary: Solrj in nifi-solr-nar needs upgrade
                 Key: NIFI-7269
                 URL: https://issues.apache.org/jira/browse/NIFI-7269
             Project: Apache NiFi
          Issue Type: Bug
          Components: Extensions
    Affects Versions: 1.11.3
         Environment: Solr 7.4 configured with Kerberos and LDAP(Basic) Authentication
            Reporter: Mubashir Kazia


If Solr is configured with Kerberos (SPNEGO) and LDAP (Basic) Authentication then using Kerberos
Authentication on any of the Solr processors like QuerySolr or PutSolrContent fails with error

{{java.lang.IllegalStateException: Unsupported authentication scheme: Basic}}

 This can be attributed to the solrj version 6.6.6 used in the nifi-solr-nar. If the solrj
version is upgraded to 7.7.2, this error no longer appears.

 



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message